### Constructor

# Adw SwipeTracker new

#### Declaration [src]

    AdwSwipeTracker*
    adw_swipe_tracker_new (
      AdwSwipeable* swipeable
    )

#### Description [src]

Creates a new `AdwSwipeTracker` for `widget`.

Available since: | 1.0

#### Parameters

`swipeable` | `AdwSwipeable`
| A widget to add the tracker on.
| The data is owned by the caller of the function.

#### Return value

Returns: | `AdwSwipeTracker`
| The newly created `AdwSwipeTracker`
| The caller of the function takes ownership of the data, and is responsible for freeing it.